.navigation {
  &__checkbox {
    display: none;
  }

  &__button {
    position: fixed;
    z-index: 2000;
    top: 6rem;
    right: 6rem;
    box-shadow: 0 1rem 3rem rgba($color-black, 0.1);
    border-radius: 50%;
    height: 7rem;
    width: 7rem;
    text-align: center;
    background-color: $color-white;
    cursor: pointer;

    @include respond(tab-port) {
      top: 4rem;
      right: 4rem;
    }

    @include respond(phone) {
      top: 3rem;
      right: 3rem;
    }
  }

  &__background {
    position: fixed;
    z-index: 1000;
    top: 6.5rem;
    right: 6.5rem;
    transition: all 0.8s;
    border-radius: 50%;
    height: 6rem;
    width: 6rem;
    background-image: radial-gradient(
      $color-primary-light,
      $color-primary-dark
    );

    @include respond(tab-port) {
      top: 4.5rem;
      right: 4.5rem;
    }

    @include respond(phone) {
      top: 3.5rem;
      right: 3.5rem;
    }
  }

  &__nav {
    position: fixed;
    z-index: 1500;
    top: 0;
    left: 0;
    transition: all 0.8s;
    opacity: 0;
    visibility: hidden;
    height: 100vh;
    width: 100%;
  }

  &__list {
    @include absCenter;

    list-style: none;
    text-align: center;
  }

  &__item {
    margin: 1rem;
  }

  &__link {
    &:link,
    &:visited {
      display: inline-block;
      transition: all 0.4s;
      padding: 1rem 2rem;
      font-size: 3rem;
      font-weight: 300;
      text-decoration: none;
      text-transform: uppercase;
      color: $color-white;
      background-image: linear-gradient(
        120deg,
        transparent 0%,
        transparent 50%,
        $color-white 50%
      );
      background-size: 230%;

      span {
        display: inline-block;
        margin-right: 1.5rem;
      }
    }

    &:hover,
    &:active {
      transform: translateX(1rem);
      color: $color-primary;
      background-position: 100%;
    }
  }

  // FUNCTIONALITY
  &__checkbox:checked ~ &__background {
    transform: scale(100);
  }

  &__checkbox:checked ~ &__nav {
    opacity: 1;
    visibility: visible;
  }

  // ICON
  &__icon {
    position: relative;
    margin-top: 3.5rem;

    &,
    &::before,
    &::after {
      display: inline-block;
      width: 3rem;
      height: 2px;
      background-color: $color-grey-dark-3;
    }

    &::before,
    &::after {
      content: "";
      position: absolute;
      left: 0;
      transition: all 0.2s;
    }

    &::before {
      top: -0.8rem;
    }

    &::after {
      top: 0.8rem;
    }
  }

  &__button:hover &__icon::before {
    top: -1rem;
  }

  &__button:hover &__icon::after {
    top: 1rem;
  }

  &__checkbox:checked + &__button &__icon {
    background-color: transparent;

    &::before {
      top: 0;
      transform: rotate(135deg);
    }

    &::after {
      top: 0;
      transform: rotate(-135deg);
    }
  }
}
